package fr.username404.snowygui.gui.feature

import fr.username404.snowygui.mixins.OptionValueAccessor
import net.minecraft.client.Minecraft

@ButtonInfo(Category.MISC)
object GammaBoost: ButtonImpl() {
    private const val boost = 1400.0
    private var oldGamma = 0.0
    override fun execAction() {
        with(Minecraft.getInstance().options) {
            val gamma = gamma().get()
            @Suppress("KotlinConstantConditions")
            (gamma() as OptionValueAccessor).setValue(if (toggled) {
                if (gamma < boost) oldGamma = gamma
                boost
            } else oldGamma)
        }
    }
}